Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591982 - Review Request: batti - Simple battery monitor for the system tray
Summary: Review Request: batti - Simple battery monitor for the system tray
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 15:44 UTC by Christoph Wickert
Modified: 2010-06-14 17:24 UTC (History)
4 users (show)

Fixed In Version: batti-0.3.7-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-14 17:24:50 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2010-05-13 15:44:09 UTC
Spec URL: http://cwickert.fedorapeople.org/review/batti.spec
SRPM URL: http://cwickert.fedorapeople.org/review/batti-0.3.5-1.fc14.src.rpm
Description: Batti is a simple battery monitor for the system tray, similar to batterymon. Unlike the latter batti uses UPower, and if that is missing DeviceKit.Power, for it's power information.

Features
* one tray icon per inserted battery
* tray icons (dis-)appear with the battery (un-)plugging
* notification on low and critical battery status
* use of GTK icon-theme
* suspend/hibernate menu on left-click, if allowed by PolicyKit


$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/b
batti-0.3.5-1.fc14.noarch.rpm  batti-0.3.5-1.fc14.src.rpm     build.log                      
[chris@wicktop SPECS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/batti-0.3.5-1.fc14.*
batti.noarch: W: spelling-error %description -l en_US batterymon -> battery, batterer, batter
batti.noarch: W: spelling-error %description -l en_US un -> UN, nu, in
batti.noarch: W: invalid-url URL: http://batti-gtk.googlecode.com/ IncompleteRead(0 bytes read)
batti.src: W: spelling-error %description -l en_US batterymon -> battery, batterer, batter
batti.src: W: spelling-error %description -l en_US un -> UN, nu, in
batti.src: W: invalid-url URL: http://batti-gtk.googlecode.com/ IncompleteRead(0 bytes read)
batti.src: W: invalid-url Source0: http://batti-gtk.googlecode.com/files/batti-0.3.5.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

The URLs are valid, they work with wget.

Comment 1 Christoph Wickert 2010-05-17 13:16:19 UTC
* Sun May 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.7-1
- Update to 0.3.7
- BuildRequire gettext

SPEC: http://cwickert.fedorapeople.org/review/batti.spec
SRPM: http://cwickert.fedorapeople.org/review/batti-0.3.7-1.fc14.src.rpm

Comment 2 Martin Gieseking 2010-05-21 14:52:24 UTC
Hi Christoph, here are some quick comments:

- the package license seems to be GPLv2+, not GPLv3+

- file COPYING is missing in %doc

- if I understand the guidelines correctly, BR: python-devel is not sufficient any longer, but an explicitly given Python version number is required (https://fedoraproject.org/wiki/Packaging:Python#BuildRequires)

Comment 3 Christoph Wickert 2010-05-25 18:32:12 UTC
Thanks for your comments, Martin.

(In reply to comment #2)
> - the package license seems to be GPLv2+, not GPLv3+
> 
> - file COPYING is missing in %doc

Both fixed.

SRPM: http://cwickert.fedorapeople.org/review/batti-0.3.7-2.fc14.src.rpm
SPEC: http://cwickert.fedorapeople.org/review/batti.spec

> - if I understand the guidelines correctly, BR: python-devel is not sufficient
> any longer, but an explicitly given Python version number is required
> (https://fedoraproject.org/wiki/Packaging:Python#BuildRequires)    

AFAIK there is no need to select a python version. batti should build both with python 2 and 3 so I prefer to make the switch when Fedora finally switches. This is easier with a simple "python-devel".

Comment 4 Martin Gieseking 2010-05-27 19:23:13 UTC
(In reply to comment #3)
> AFAIK there is no need to select a python version. batti should build both with
> python 2 and 3 so I prefer to make the switch when Fedora finally switches.
> This is easier with a simple "python-devel".    

OK, that's fine. 

Here's the formal review. I couldn't find any further issues needed to be addressed. The package looks fine and works as expected.


$ rpmlint /var/lib/mock/fedora-13-x86_64/result/batti-*.rpm
batti.noarch: W: spelling-error %description -l en_US batterymon -> battery, batterer, batter
batti.noarch: W: spelling-error %description -l en_US un -> UN, nu, in
batti.noarch: W: invalid-url URL: http://batti-gtk.googlecode.com/ IncompleteRead(0 bytes read)
batti.src: W: spelling-error %description -l en_US batterymon -> battery, batterer, batter
batti.src: W: spelling-error %description -l en_US un -> UN, nu, in
batti.src: W: invalid-url URL: http://batti-gtk.googlecode.com/ IncompleteRead(0 bytes read)
batti.src: W: invalid-url Source0: http://batti-gtk.googlecode.com/files/batti-0.3.7.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

All warnings are false positive (URLs are valid, spelling is correct)


---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv2+ according to source file headers

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
    - file COPYING present in %doc

[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum batti-0.3.7.tar.gz*
    f855b28e4bb84fb33565d2668c33e221  batti-0.3.7.tar.gz
    f855b28e4bb84fb33565d2668c33e221  batti-0.3.7.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    - noarch package
    - builds correctly for F-12, F-13 and rawhide

[.] MUST: If the package does not successfully compile, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: The spec file MUST handle locales properly.
[.] MUST: Packages storing shared library files ...
    - no shared libs

[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix ...
    - no libs

[.] MUST: devel packages must require the base package.
    - no devel package

[.] MUST: Packages must NOT contain any .la libtool archives.
    - no .la files

[+] MUST: Packages containing GUI applications must include a %{name}.desktop file.
    - .desktop file present and valid

[+] .desktop file must be properly installed with desktop-file-install.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[+] MUST: Python eggs must be built from source.
[+] MUST: Python eggs must not download any dependencies during the build process.
[+] MUST: If egg-info files are generated by the modules build scripts they must be included in the package.
[.] MUST: When building a compat package, ...
[.] MUST: When building multiple versions (for a compat package) ...
[+] MUST: The gtk icon cache must be updated properly.
[.] SHOULD: A package which is used by another package via an egg interface should provide egg info. 

[.] SHOULD: If the source package does not include license text(s) ...
[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    - noarch package

[+] SHOULD: The reviewer should test that the package functions as described.
    - seems to work as expected on my notebook

[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: subpackages other than devel should require the base package.
    - no subpackages

[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.

----------------
Package APPROVED
----------------

Comment 5 Christoph Wickert 2010-05-30 11:12:54 UTC
Thanks for the review, Martin!

New Package CVS Request
=======================
Package Name: batti
Short Description: Simple battery monitor for the system tray
Owners: cwickert tomspur
Branches: F-12 F-13
InitialCC:

Comment 6 Kevin Fenzi 2010-05-31 19:21:17 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-06-01 09:41:02 UTC
batti-0.3.7-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/batti-0.3.7-2.fc13

Comment 8 Fedora Update System 2010-06-01 18:14:02 UTC
batti-0.3.7-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update batti'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/batti-0.3.7-2.fc13

Comment 9 Fedora Update System 2010-06-14 17:24:46 UTC
batti-0.3.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.